using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace progtak
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string X = Console.ReadLine();
            string Y = Console.ReadLine();
            int koliko = 0;
            string resenje = "";
            string tr = "";
            string koji = "";
            if (X.Length == Y.Length) koliko = X.Length;
            else if (X.Length > Y.Length) { koji = "X"; koliko = Y.Length; }
            else { koji = "y"; koliko = X.Length; }
            for (int i = 0; i < koliko; i++)
            {
                if (X[X.Length - i - 1] > Y[Y.Length - i - 1]) resenje = X[X.Length - i - 1] + resenje;
                else if (X[X.Length - i - 1] < Y[Y.Length - i - 1]) resenje = Y[Y.Length - i - 1] + resenje;
                else if (X[X.Length - i - 1] == Y[Y.Length - i - 1]) resenje = Y[Y.Length - i - 1].ToString() + Y[Y.Length - i - 1].ToString() + resenje;
            }
            for (int i = 0; i < X.Length + Y.Length - koliko - koliko; i++)
            {
                if (koji == "X") tr = tr + X[i];
                else if (koji == "y") tr = tr + Y[i];
            }
            if (koji == "X") resenje = tr + resenje;
            else if (koji == "y") resenje = tr + resenje;
            Console.WriteLine(resenje);
            Console.ReadLine();
        }
    }
}